# SQLite version 3.x
#   gem install sqlite3
#
#   Ensure the SQLite 3 gem is defined in your Gemfile
#   gem 'sqlite3'
#

default: &default
  adapter: mysql2
  encoding: utf8mb4
  pool: 5
  timeout: 5000

development:
  <<: *default
  database: todo_dev
  username: rails
  password: railspass
  socket: <%= ['/opt/local/var/run/mysql5/mysqld.sock','/opt/local/var/run/mysql55/mysqld.sock','/opt/local/var/run/mysqld/mysqld.sock','/var/run/mysqld/mysqld.sock','/tmp/mysql.sock', '/var/tmp/mysql.sock'].select { |f| File.exist? f }.first %>

# Warning: The database defined as "test" will be erased and
# re-generated from your development database when you run "rake".
# Do not set this db to the same as development or production.
test:
  <<: *default
  database: todo_test

production:
  <<: *default
  database: todo_prod
